%global pypi_name distro

Name:           python-%{pypi_name}
Version:        1.5.0
Release:        %mkrel 1
Summary:        Linux Distribution - a Linux OS platform information API
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/nir0s/distro
Source0:        https://files.pythonhosted.org/packages/source/%(n=%{pypi_name}; echo ${n:0:1})/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%global _description \
The distro (for: Linux Distribution) package provides information about the\
Linux distribution it runs on, such as a reliable machine-readable ID, or\
version information.\
\
It is a renewed alternative implementation for Python's original\
platform.linux_distribution function, but it also provides much more\
functionality. An alternative implementation became necessary because\
Python 3.5 deprecated this function, and Python 3.7 is expected to remove it\
altogether. Its predecessor function platform.dist was already deprecated since\
Python 2.6 and is also expected to be removed in Python 3.7. Still, there are\
many cases in which access to that information is needed. See Python issue 1322\
for more information.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}
Recommends:     lsb-release

%description -n python3-%{pypi_name} %{_description}

%package        cli
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description cli %{_description}

This package provides the %{_bindir}/distro CLI utility.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc *.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}-*.egg-info/
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/__pycache__/%{pypi_name}.*

%files cli
%{_bindir}/distro


%changelog
* Tue Jun 09 2020 joequant <joequant> 1.5.0-1.mga8
+ Revision: 1591241
- update to 1.5.0

* Sun Feb 16 2020 umeabot <umeabot> 1.4.0-3.mga8
+ Revision: 1530995
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 1.4.0-2.mga8
+ Revision: 1438335
- rebuild for python3.8
- drop python2 support

* Sun Apr 21 2019 wally <wally> 1.4.0-1.mga7
+ Revision: 1394211
- new version 1.4

* Sat Jan 12 2019 wally <wally> 1.3.0-1.mga7
+ Revision: 1355598
- new version 1.3.0

* Sat Jan 05 2019 wally <wally> 1.0.2-8.mga7
+ Revision: 1349841
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.2-7.mga7
+ Revision: 1288676
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0.2-6.mga7
+ Revision: 1135369
- Rebuild for python 3.6

* Thu Mar 16 2017 ngompa <ngompa> 1.0.2-5.mga6
+ Revision: 1093149
- Port to Mageia
- imported package python-distro

